commit da3c2f61893afac37caf97068fa9662b6ac9f16e
Author: Lili Cui <lili.cui@intel.com>
Date:   Wed Jan 14 02:53:04 2026

    x86: Disable tight loop alignment for m_CORE_ATOM
    
    For the E-core front end, aligning tight loops provides little benefit.
    
    gcc/ChangeLog:
    
            * config/i386/x86-tune.def (X86_TUNE_ALIGN_TIGHT_LOOPS):
            disable tight loop alignment for m_CORE_ATOM.
    
    (cherry picked from commit dfd063aeccb52a51c7d98052920328facec401a9)

diff --git a/gcc/config/i386/x86-tune.def b/gcc/config/i386/x86-tune.def
index e72a49a5674..0eee05de533 100644
--- a/gcc/config/i386/x86-tune.def
+++ b/gcc/config/i386/x86-tune.def
@@ -252,7 +252,8 @@ DEF_TUNE (X86_TUNE_FOUR_JUMP_LIMIT, "four_jump_limit",
 
 /* X86_TUNE_ALIGN_TIGHT_LOOPS: if false, tight loops are not aligned. */
 DEF_TUNE (X86_TUNE_ALIGN_TIGHT_LOOPS, "align_tight_loops",
-	 ~(m_ZHAOXIN | m_CASCADELAKE | m_SKYLAKE_AVX512))
+	 ~(m_ZHAOXIN | m_CASCADELAKE | m_SKYLAKE_AVX512
+	   | m_CORE_ATOM))
 
 /*****************************************************************************/
 /* Integer instruction selection tuning                                      */

